# onyx_l3_interface – Manage L3 interfaces on Mellanox ONYX network devices

New in version 2.5.

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- This module provides declarative management of L3 interfaces on Mellanox ONYX network devices.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
aggregate - |  | List of L3 interfaces definitions
ipv4 - |  | IPv4 of the L3 interface.
ipv6 - |  | IPv6 of the L3 interface (not supported for now).
name - |  | Name of the L3 interface.

purge
boolean

Choices:
- no ←
- yes

Purge L3 interfaces not defined in the aggregate parameter.

state
-

Choices:
- present ←
- absent

State of the L3 interface configuration.

## Examples

    - name: Set Eth1/1 IPv4 address
      onyx_l3_interface:
        name: Eth1/1
        ipv4: 192.168.0.1/24

    - name: Remove Eth1/1 IPv4 address
      onyx_l3_interface:
        name: Eth1/1
        state: absent

    - name: Set IP addresses on aggregate
      onyx_l3_interface:
        aggregate:
          - { name: Eth1/1, ipv4: 192.168.2.10/24 }
          - { name: Eth1/2, ipv4: 192.168.3.10/24 }

    - name: Remove IP addresses on aggregate
      onyx_l3_interface:
        aggregate:
          - { name: Eth1/1, ipv4: 192.168.2.10/24 }
          - { name: Eth1/2, ipv4: 192.168.3.10/24 }
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always. | The list of configuration mode commands to send to the device Sample: ['interfaces ethernet 1/1 ip address 192.168.0.1 /24']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Samer Deeb (@samerd)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.